#pragma once

// Fichier: Nommage.h
// Propos : Système d'enregistrement et de localisaton d'objets IObjetDistant
//          Pour simplifier, la classe publie automatiquement un objet.
#include "IObjetDistant.h"
#include "Adaptateur.h"

class Nommage
{
private:
	IObjetDistant* objet;
	char*url;	

public:
	void publier(IObjetDistant*objet,char*url);
	IObjetDistant*trouver(char*url);

	Nommage();
	~Nommage();
};
